Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 464362 (texinfo-5.1) - [TRACKER] sys-apps/texinfo-5.1 breakages
Summary: [TRACKER] sys-apps/texinfo-5.1 breakages
Status: RESOLVED FIXED
Alias: texinfo-5.1
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: Tracker
Depends on: PR56258 464044 464092 464122 464146 464168 464208 464210 464288 464298 464308 464312 464316 464368 464516 464678 465016 465224 465348 465460 465536 465806 465862 466730 466758 466874 467146 467148 468086 468108 473940 475658 479344 479978 482748 483122 483192 484794 487838 494218 514246 526964 554542 555150 557952
Blocks: 527998
  Show dependency tree
 
Reported: 2013-04-03 14:18 UTC by Justin Lecher
Modified: 2017-01-19 19:44 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Justin Lecher gentoo-dev 2013-04-03 14:18:04 UTC
tracker for package being broken with new sys-apps/texinfo.
Comment 1 Max Steel 2013-04-04 12:58:11 UTC
Bug #464008 should be in here too. (gcc compile breaks with texinfo-5.1)
Comment 2 Zoltan Puskas 2013-04-17 18:11:50 UTC
Please add to depencency <a href="https://bugs.gentoo.org/show_bug.cgi?id=465536">Bug #465536</a>
Comment 3 Daniel Schulte 2013-09-29 08:23:34 UTC
It look like bug 463260 needs to be added here as well
Comment 4 Daniel Schulte 2013-09-29 08:33:49 UTC
Disregard my earlier comment (#3) the correct bug is bug 465064
Comment 5 George Shapovalov (RETIRED) gentoo-dev 2013-10-08 19:00:25 UTC
Same as in #484794: I propagated the "fix" from 4.3  - forcing <texinfo-5.1 in DEPEND. Should fix this issue for now (plus, as it is a compile-time only requirement, it is trivial to work around even if some other package forces >=texinfo-5.1).
Still, I'll try to add a newer version of gnat-gcc soon (that actually supports new texinfo)
Comment 6 Martin von Gagern 2013-11-23 19:49:21 UTC
Why has this tracker been closed FIXED while some of the bugs it depends on are still open? Could this be a mistake, and if not, what is the rationale?

Talking of which, will you consider this bug fixed if all packages which don't compile against texinfo 5 have a corresponding DEPEND in their ebuild? If so, is there some kind of follow-up tracker to keep track of the removal of such dependencies, so that one day we can get all packages up to texinfo 5 standards?
Comment 7 SpanKY gentoo-dev 2016-05-27 21:21:39 UTC
texinfo-5.2 is stable now, so this bug has served its purpose